Package com.google.earth.kml._2

# Class MultiGeometryType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.GeometryType
com.google.earth.kml._2.MultiGeometryType

public class MultiGeometryType extends GeometryType
<p>Java class for MultiGeometryType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="MultiGeometryType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}GeometryType"> <sequence> <element ref="{http://earth.google.com/kml/2.1}Geometry" maxOccurs="unbounded"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<jakarta.xml.bind.JAXBElement<? extends GeometryType>>`
  `geometry`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiGeometryType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<jakarta.xml.bind.JAXBElement<? extends GeometryType>>`
  `getGeometry()`
  Gets the value of the geometry property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### geometry

    protected List<jakarta.xml.bind.JAXBElement<? extends GeometryType>> geometry

- ## Constructor Details

  - ### MultiGeometryType

    public MultiGeometryType()

- ## Method Details

  - ### getGeometry

    public List<jakarta.xml.bind.JAXBElement<? extends GeometryType>> getGeometry()
    Gets the value of the geometry property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the geometry property.

    For example, to add a new item, do as follows:

         getGeometry().add(newItem);

    Objects of the following type(s) are allowed in the list `JAXBElement``<``GeometryType``>` `JAXBElement``<``LineStringType``>` `JAXBElement``<``LinearRingType``>` `JAXBElement``<``ModelType``>` `JAXBElement``<``MultiGeometryType``>` `JAXBElement``<``PointType``>` `JAXBElement``<``PolygonType``>`

    Returns:
      The value of the geometry property.